Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.web.bind.annotation
Enum RequestMethod

    java.lang.Object
      java.lang.Enum<RequestMethod>
          org.springframework.web.bind.annotation.RequestMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestMethod>

    public enum RequestMethod

extends java.lang.Enum<RequestMethod>

Java 5 enumeration of HTTP request methods. Intended for use with the `RequestMapping.method()` attribute of the `RequestMapping` annotation.

Note that, by default, `DispatcherServlet` supports GET, HEAD, POST, PUT and DELETE only. DispatcherServlet will process TRACE and OPTIONS with the default HttpServlet behavior unless explicitly told to dispatch those request types as well: Check out the "dispatchOptionsRequest" and "dispatchTraceRequest" properties, switching them to "true" if necessary.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `RequestMapping`, `FrameworkServlet.setDispatchOptionsRequest(boolean)`, `FrameworkServlet.setDispatchTraceRequest(boolean)`

Enum Constant Summary
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`POST`
`PUT`
`TRACE`

Method Summary
`static RequestMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final RequestMethod GET

### HEAD

    public static final RequestMethod HEAD

### POST

    public static final RequestMethod POST

### PUT

    public static final RequestMethod PUT

### DELETE

    public static final RequestMethod DELETE

### OPTIONS

    public static final RequestMethod OPTIONS

### TRACE

    public static final RequestMethod TRACE

Method Detail

### values

    public static RequestMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequestMethod c : RequestMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequestMethod valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD